%define ver_release 1
#define ver_suffix rc1

Name: mail-notification
Version: 5.0
%ifdef ver_suffix
Release: alt%ver_release.%ver_suffix
%else
Release: alt%ver_release
%endif

Summary: A mail notification icon for the system tray.
License: %gpl2plus
Group: Graphical desktop/GNOME
Url: http://www.nongnu.org/mailnotify

%ifdef ver_suffix
Source: http://savannah.nongnu.org/download/mailnotify/%name-%version-%ver_suffix.tar.bz2
%else
Source: http://savannah.nongnu.org/download/mailnotify/%name-%version.tar.bz2
%endif
Patch1: %name-2.0-alt-build.patch

Requires(post,postun): scrollkeeper

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.ac
BuildPreReq: libgtk+2-devel >= 2.10
BuildPreReq: glib2-devel >= 2.10
BuildPreReq: libgnomeui-devel >= 2.14
BuildPreReq: libeel-devel >= 2.6.0
BuildPreReq: libnotify-devel >= 0.4.1
BuildPreReq: GConf libGConf-devel gnome-vfs-devel libglade-devel libbonobo-devel libxml2-devel

# For most mailboxes
BuildPreReq: libgmime-devel >= 2.1.0

# For mailboxes accessed via Internet
BuildPreReq: libgnome-keyring-devel

# For SSL
BuildPreReq: libssl-devel >= 0.9.6

# For Evolution mailbox
BuildPreReq: evolution-devel

%description
Mail Notification monitors your mailboxes for new mail.

When new mail arrives, Mail Notification alerts you by displaying an icon
in the notification area. Moreover, a mail summary can be displayed in the
icon tooltip, a sound can be played, and notifications containing useful
action buttons can be popped up.

Mail Notification can monitor multiple mailboxes concurrently, and supports
Evolution, Gmail, IMAP, Maildir, mbox, MH, Mozilla products (Mozilla,
SeaMonkey, Thunderbird, ...), POP3, Sylpheed, Windows Live Hotmail and Yahoo!
Mail mailboxes. Moreover, since Mail Notification uses GnomeVFS, it
transparently supports remote (SSH, HTTP, ...) and compressed mailboxes. 

Mail Notification supports advanced POP3 and IMAP features such as SSL/TLS
connections (in-band or on separate port), SASL and APOP authentication,
and the IMAP IDLE extension.

While its user interface is purposedly kept simple and straightforward,
advanced users are provided with ways to run commands in reaction to
events, customize the popup buttons, obtain a XML message list, modify the
appearance of the application, and so on.

When a mailbox supports it, Mail Notification listens for changes reported
by the mailbox rather than polling it periodically. This mode of operation
provides immediate notification of changes and reduces the system and
network resources used by Mail Notification.

%package -n evolution-plugin-mail-notification
Summary: Mail Notification plugin for Evolution
Group: Graphical desktop/GNOME
Requires: evolution >= 2.12
Requires: %name = %version-%release

%description -n evolution-plugin-mail-notification
This package contains an advanced mail notification plugin for Evolution,
that uses Mail Notification applet.

%prep
%ifdef ver_suffix
%setup -q -n %name-%version-%ver_suffix
%else
%setup -q -n %name-%version
%endif

%build
%configure \
    --enable-evolution \
    --enable-gmail \
    --disable-hotmail \
    --enable-imap \
    --enable-maildir \
    --enable-mbox \
    --enable-mh \
    --enable-mozilla \
    --enable-pop3 \
    --enable-sylpheed \
    --enable-yahoo \
    --enable-ipv6 \
    --enable-sasl \
    --enable-ssl \
    --disable-schemas-install \
    --enable-regression-tests

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%bonobo_serversdir/*
%dir %_datadir/%name
%_datadir/%name/*
%_iconsdir/hicolor/*x*/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_desktopdir/*.desktop
%config %gconf_schemasdir/%name.schemas
%config %_sysconfdir/xdg/autostart/%name.desktop
#config %_sysconfdir/sound/events/*
%doc README COPYING TODO AUTHORS NEWS

%files -n evolution-plugin-mail-notification
%_libdir/evolution/2.12/plugins/org-jylefort-%name.eplug
%_libdir/evolution/2.12/plugins/liborg-jylefort-%name.so
%exclude %_libdir/evolution/2.12/plugins/liborg-jylefort-%name.a
%exclude %_libdir/evolution/2.12/plugins/liborg-jylefort-%name.la

%changelog
* Mon Jan 14 2008 Alexey Rusakov <ktirf@altlinux.org> 5.0-alt1
- New version (5.0).
- Added an explicit dependency of evolution-plugin-m-n on the main package.

* Sat Dec 29 2007 Alexey Rusakov <ktirf@altlinux.org> 5.0-alt0.rc1
- New version (5.0-rc1).
- Removed Debian menu support.
- Specfile cleanup; removed %%__ macros; use more path macros.
- Updated description from the website.
- Use %%make_install instead of %%makeinstall.
- Introduced a subpackage with a plugin for Evolution.
- Added a hack to (un)install scripts to notify GConf daemons about a new
  schema (RPM macros of GConf should be fixed about this).

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.0-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Jan 26 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0-alt2
- Corrected buildreqs for X.org 7.0

* Sun Aug 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0-alt1
- New upstream version.
- Removed excess BuildReqs.

* Wed Apr 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.1-alt1
- Initial Sisyphus package.

